Subject: Re: bug#25208: 24.5; man output uses wrong width

From: Olaf Dietsche <[email-masked]>
Date: Thu, 15 Dec 2016 18:20:39 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Olaf Dietsche <[email-masked]>
>> Date: Thu, 15 Dec 2016 14:08:13 +0100
>> 
>> I use a wide display and Emacs full-screen.
>> 
>> - emacs -Q
>> - Make the Emacs frame full-screen, so it is wider than high and shows
>>   only one window.
>> - M-x man RET ps RET -- any command works
>> 
>> Now the frame will be split into two windows side by side, one showing
>> the man page of `ps`. The man page will contain long lines, which are
>> truncated instead of wrapped around. You can see the whole lines, when
>> you scroll horizontally, of course.
>> 
>> This will not happen, if the frame is already split horizontally in two
>> equal wide windows. When you move the vertical divider to the left or
>> right and invoke another man command, you can see, that man always uses
>> the width of the starting window instead of the target (displaying)
>> window.
>
> This is the intended behavior.  What would you like to see instead?

Sorry for the incomplete bug report. I would expect to see the man
page's lines properly wrapped in the target window, so I can read it
without the need for scrolling horizontally.